package de.frajul.endlessroll.main.game;

import de.frajul.endlessroll.data.Vector;
import de.frajul.endlessroll.entities.Entity;
import de.frajul.endlessroll.entities.Obstacle;
import de.frajul.endlessroll.entities.particles.Firework;
import de.frajul.endlessroll.entities.particles.ParticleEffect;
import de.frajul.endlessroll.entities.particles.ParticleSource;
import de.frajul.endlessroll.entities.particles.ParticleSystem;
import de.frajul.endlessroll.entities.textures.TexturePack;
import de.frajul.endlessroll.levels.ObstacleData;
import de.frajul.endlessroll.levels.worlds.World;

public class TestScreenScene extends Scene {

    public TestScreenScene(TexturePack texturePack, ParticleSystem particleSystem) {
        super(texturePack, particleSystem);
        terrain.createEndless(World.ICY_MOUNTAINS, -1.0f);
        background.changeTexture(World.ICY_MOUNTAINS.getBackgroundTexture());
       new ParticleSource(new Vector(0, 0.0f), particleSystem.colorChange).start();
    }

}